diff --git a/doc/bash.ps b/doc/bash.ps
index 80a63f36..3a31e4c6 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -8250,143 +8255,143 @@ to a subset of the set of readonly names.)144 297.6 R(The)5.295 E F1
 -.25 F .26(ariable name, or)-.25 F F1<ad66>2.76 E F0 .26
 (is supplied with a)2.76 F F2(name)144.36 345.6 Q F0
 (that is not a function.)2.68 E F1 -.18(re)108 362.4 S(tur).18 E(n)-.15
-E F0([)2.5 E F2(n)A F0(])A .021(Causes a function to stop e)144 374.4 R
--.15(xe)-.15 G .021(cuting and return the v).15 F .021
-(alue speci\214ed by)-.25 F F2(n)2.88 E F0 .02(to its caller)2.76 F 5.02
-(.I)-.55 G(f)-5.02 E F2(n)2.88 E F0 .02(is omitted,)2.76 F .596
+E F0([)2.5 E F2(n)A F0(])A .02(Causes a function to stop e)144 374.4 R
+-.15(xe)-.15 G .02(cuting and return the v).15 F .021
+(alue speci\214ed by)-.25 F F2(n)2.881 E F0 .021(to its caller)2.761 F
+5.021(.I)-.55 G(f)-5.021 E F2(n)2.881 E F0 .021(is omitted,)2.761 F .597
 (the return status is that of the last command e)144 386.4 R -.15(xe)
--.15 G .597(cuted in the function body).15 F 5.597(.I)-.65 G(f)-5.597 E
-F1 -.18(re)3.097 G(tur).18 E(n)-.15 E F0 .597(is e)3.097 F -.15(xe)-.15
-G(cuted).15 E 1.239(by a trap handler)144 398.4 R 3.738(,t)-.4 G 1.238
+-.15 G .596(cuted in the function body).15 F 5.596(.I)-.65 G(f)-5.596 E
+F1 -.18(re)3.096 G(tur).18 E(n)-.15 E F0 .596(is e)3.096 F -.15(xe)-.15
+G(cuted).15 E 1.238(by a trap handler)144 398.4 R 3.738(,t)-.4 G 1.238
 (he last command used to determine the status is the last command e)
--3.738 F -.15(xe)-.15 G(cuted).15 E 1.066(before the trap handler)144
+-3.738 F -.15(xe)-.15 G(cuted).15 E 1.067(before the trap handler)144
 410.4 R 6.067(.i)-.55 G(f)-6.067 E F1 -.18(re)3.567 G(tur).18 E(n)-.15 E
 F0 1.067(is e)3.567 F -.15(xe)-.15 G 1.067(cuted during a).15 F F1(DEB)
-3.567 E(UG)-.1 E F0 1.067(trap, the last command used to)3.567 F .39
+3.567 E(UG)-.1 E F0 1.067(trap, the last command used to)3.567 F .389
 (determine the status is the last command e)144 422.4 R -.15(xe)-.15 G
-.389(cuted by the trap handler before).15 F F1 -.18(re)2.889 G(tur).18 E
-(n)-.15 E F0 -.1(wa)2.889 G 2.889(si).1 G -1.9 -.4(nv o)-2.889 H -.1(ke)
-.4 G(d.).1 E(If)144 434.4 Q F1 -.18(re)2.583 G(tur).18 E(n)-.15 E F0
-.084(is used outside a function, b)2.583 F .084(ut during e)-.2 F -.15
-(xe)-.15 G .084(cution of a script by the).15 F F1(.)2.584 E F0(\()5.084
-E F1(sour)A(ce)-.18 E F0 2.584(\)c)C .084(ommand, it)-2.584 F .589
-(causes the shell to stop e)144 446.4 R -.15(xe)-.15 G .589
-(cuting that script and return either).15 F F2(n)3.448 E F0 .588
-(or the e)3.328 F .588(xit status of the last com-)-.15 F .325(mand e)
-144 458.4 R -.15(xe)-.15 G .325(cuted within the script as the e).15 F
-.326(xit status of the script.)-.15 F(If)5.326 E F2(n)2.826 E F0 .326
-(is supplied, the return v)2.826 F .326(alue is)-.25 F .445
+.389(cuted by the trap handler before).15 F F1 -.18(re)2.89 G(tur).18 E
+(n)-.15 E F0 -.1(wa)2.89 G 2.89(si).1 G -1.9 -.4(nv o)-2.89 H -.1(ke).4
+G(d.).1 E(If)144 434.4 Q F1 -.18(re)2.584 G(tur).18 E(n)-.15 E F0 .084
+(is used outside a function, b)2.584 F .084(ut during e)-.2 F -.15(xe)
+-.15 G .084(cution of a script by the).15 F F1(.)2.584 E F0(\()5.084 E
+F1(sour)A(ce)-.18 E F0 2.583(\)c)C .083(ommand, it)-2.583 F .588
+(causes the shell to stop e)144 446.4 R -.15(xe)-.15 G .588
+(cuting that script and return either).15 F F2(n)3.448 E F0 .589
+(or the e)3.329 F .589(xit status of the last com-)-.15 F .326(mand e)
+144 458.4 R -.15(xe)-.15 G .326(cuted within the script as the e).15 F
+.326(xit status of the script.)-.15 F(If)5.326 E F2(n)2.826 E F0 .325
+(is supplied, the return v)2.826 F .325(alue is)-.25 F .444
 (its least signi\214cant 8 bits.)144 470.4 R .444
-(The return status is non-zero if)5.445 F F1 -.18(re)2.944 G(tur).18 E
-(n)-.15 E F0 .444(is supplied a non-numeric ar)2.944 F(gu-)-.18 E .381
+(The return status is non-zero if)5.444 F F1 -.18(re)2.945 G(tur).18 E
+(n)-.15 E F0 .445(is supplied a non-numeric ar)2.945 F(gu-)-.18 E .381
 (ment, or is used outside a function and not during e)144 482.4 R -.15
 (xe)-.15 G .381(cution of a script by).15 F F1(.)2.881 E F0(or)3.714 E
-F1(sour)2.881 E(ce)-.18 E F0 5.381(.A)C .681 -.15(ny c)-5.381 H(om-).15
-E .75(mand associated with the)144 494.4 R F1(RETURN)3.249 E F0 .749
+F1(sour)2.881 E(ce)-.18 E F0 5.38(.A)C .68 -.15(ny c)-5.38 H(om-).15 E
+.749(mand associated with the)144 494.4 R F1(RETURN)3.249 E F0 .749
 (trap is e)3.249 F -.15(xe)-.15 G .749(cuted before e).15 F -.15(xe)-.15
-G .749(cution resumes after the function).15 F(or script.)144 506.4 Q F1
+G .75(cution resumes after the function).15 F(or script.)144 506.4 Q F1
 (set)108 523.2 Q F0([)2.5 E F1(\255\255abefhkmnptuvxBCEHPT)A F0 2.5(][)C
 F1<ad6f>-2.5 E F2(option\255name)2.5 E F0 2.5(][)C F2(ar)-2.5 E(g)-.37 E
 F0(...])2.5 E F1(set)108 535.2 Q F0([)2.5 E F1(+abefhkmnptuvxBCEHPT)A F0
 2.5(][)C F1(+o)-2.5 E F2(option\255name)2.5 E F0 2.5(][)C F2(ar)-2.5 E
-(g)-.37 E F0(...])2.5 E -.4(Wi)144 547.2 S .835
+(g)-.37 E F0(...])2.5 E -.4(Wi)144 547.2 S .836
 (thout options, the name and v).4 F .835(alue of each shell v)-.25 F
-.836(ariable are displayed in a format that can be)-.25 F .784
+.835(ariable are displayed in a format that can be)-.25 F .784
 (reused as input for setting or resetting the currently-set v)144 559.2
-R 3.284(ariables. Read-only)-.25 F -.25(va)3.284 G .783
-(riables cannot be).25 F 2.911(reset. In)144 571.2 R F2(posix)2.911 E F0
+R 3.284(ariables. Read-only)-.25 F -.25(va)3.284 G .784
+(riables cannot be).25 F 2.912(reset. In)144 571.2 R F2(posix)2.912 E F0
 .412(mode, only shell v)2.912 F .412(ariables are listed.)-.25 F .412
-(The output is sorted according to the current)5.412 F 3.531
-(locale. When)144 583.2 R 1.031(options are speci\214ed, the)3.531 F
-3.531(ys)-.15 G 1.031(et or unset shell attrib)-3.531 F 3.53(utes. An)
--.2 F 3.53(ya)-.15 G -.18(rg)-3.53 G 1.03(uments remaining).18 F 1.623
-(after option processing are treated as v)144 595.2 R 1.624
+(The output is sorted according to the current)5.412 F 3.53
+(locale. When)144 583.2 R 1.031(options are speci\214ed, the)3.53 F
+3.531(ys)-.15 G 1.031(et or unset shell attrib)-3.531 F 3.531(utes. An)
+-.2 F 3.531(ya)-.15 G -.18(rg)-3.531 G 1.031(uments remaining).18 F
+1.624(after option processing are treated as v)144 595.2 R 1.623
 (alues for the positional parameters and are assigned, in)-.25 F(order)
 144 607.2 Q 2.5(,t)-.4 G(o)-2.5 E F1($1)2.5 E F0(,)A F1($2)2.5 E F0(,)A
 F1 2.5(... $)2.5 F F2(n)A F0 5(.O)C(ptions, if speci\214ed, ha)-5 E .3
 -.15(ve t)-.2 H(he follo).15 E(wing meanings:)-.25 E F1<ad61>144 619.2 Q
-F0 1.378(Each v)184 619.2 R 1.377
+F0 1.377(Each v)184 619.2 R 1.377
 (ariable or function that is created or modi\214ed is gi)-.25 F -.15(ve)
--.25 G 3.877(nt).15 G 1.377(he e)-3.877 F 1.377(xport attrib)-.15 F
-1.377(ute and)-.2 F(mark)184 631.2 Q(ed for e)-.1 E(xport to the en)-.15
-E(vironment of subsequent commands.)-.4 E F1<ad62>144 643.2 Q F0 .131
+-.25 G 3.877(nt).15 G 1.377(he e)-3.877 F 1.378(xport attrib)-.15 F
+1.378(ute and)-.2 F(mark)184 631.2 Q(ed for e)-.1 E(xport to the en)-.15
+E(vironment of subsequent commands.)-.4 E F1<ad62>144 643.2 Q F0 .132
 (Report the status of terminated background jobs immediately)184 643.2 R
-2.632(,r)-.65 G .132(ather than before the ne)-2.632 F(xt)-.15 E
+2.632(,r)-.65 G .131(ather than before the ne)-2.632 F(xt)-.15 E
 (primary prompt.)184 655.2 Q(This is ef)5 E(fecti)-.25 E .3 -.15(ve o)
 -.25 H(nly when job control is enabled.).15 E F1<ad65>144 667.2 Q F0
-.088(Exit immediately if a)184 667.2 R F2(pipeline)2.588 E F0 .087
-(\(which may consist of a single)2.588 F F2 .087(simple command)2.587 F
-F0 .087(\), a)B F2(list)2.587 E F0 2.587(,o)C(r)-2.587 E(a)184 679.2 Q
-F2 1.52(compound command)4.02 F F0(\(see)4.021 E F3 1.521(SHELL GRAMMAR)
-4.021 F F0(abo)3.771 E -.15(ve)-.15 G 1.521(\), e).15 F 1.521
-(xits with a non-zero status.)-.15 F .08(The shell does not e)184 691.2
-R .079(xit if the command that f)-.15 F .079
+.087(Exit immediately if a)184 667.2 R F2(pipeline)2.587 E F0 .087
+(\(which may consist of a single)2.587 F F2 .088(simple command)2.588 F
+F0 .088(\), a)B F2(list)2.588 E F0 2.588(,o)C(r)-2.588 E(a)184 679.2 Q
+F2 1.521(compound command)4.021 F F0(\(see)4.021 E F3 1.521
+(SHELL GRAMMAR)4.021 F F0(abo)3.771 E -.15(ve)-.15 G 1.521(\), e).15 F
+1.521(xits with a non-zero status.)-.15 F .079(The shell does not e)184
+691.2 R .079(xit if the command that f)-.15 F .08
 (ails is part of the command list immediately)-.1 F(follo)184 703.2 Q
-1.654(wing a)-.25 F F1(while)4.154 E F0(or)4.154 E F1(until)4.154 E F0
--.1(ke)4.154 G(yw)-.05 E 1.655(ord, part of the test follo)-.1 F 1.655
-(wing the)-.25 F F1(if)4.155 E F0(or)4.155 E F1(elif)4.155 E F0(reserv)
-4.155 E(ed)-.15 E -.1(wo)184 715.2 S .582(rds, part of an).1 F 3.082(yc)
--.15 G .582(ommand e)-3.082 F -.15(xe)-.15 G .581(cuted in a).15 F F1
-(&&)3.081 E F0(or)3.081 E F1(||)3.081 E F0 .581(list e)3.081 F .581
-(xcept the command follo)-.15 F(wing)-.25 E .917(the \214nal)184 727.2 R
-F1(&&)3.417 E F0(or)3.417 E F1(||)3.417 E F0 3.417(,a)C 1.217 -.15(ny c)
--3.417 H .918(ommand in a pipeline b).15 F .918
-(ut the last, or if the command')-.2 F 3.418(sr)-.55 G(eturn)-3.418 E
-(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(68)197.335 E 0 Cg EP
+1.655(wing a)-.25 F F1(while)4.155 E F0(or)4.155 E F1(until)4.155 E F0
+-.1(ke)4.155 G(yw)-.05 E 1.655(ord, part of the test follo)-.1 F 1.654
+(wing the)-.25 F F1(if)4.154 E F0(or)4.154 E F1(elif)4.154 E F0(reserv)
+4.154 E(ed)-.15 E -.1(wo)184 715.2 S .581(rds, part of an).1 F 3.081(yc)
+-.15 G .581(ommand e)-3.081 F -.15(xe)-.15 G .581(cuted in a).15 F F1
+(&&)3.081 E F0(or)3.081 E F1(||)3.081 E F0 .582(list e)3.082 F .582
+(xcept the command follo)-.15 F(wing)-.25 E .918(the \214nal)184 727.2 R
+F1(&&)3.418 E F0(or)3.418 E F1(||)3.418 E F0 3.418(,a)C 1.218 -.15(ny c)
+-3.418 H .918(ommand in a pipeline b).15 F .917
+(ut the last, or if the command')-.2 F 3.417(sr)-.55 G(eturn)-3.417 E
+(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E(68)192.895 E 0 Cg EP
 %%Page: 69 69
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 137.14(SH\(1\) General).35 F
 (Commands Manual)2.5 E -.35(BA)139.64 G(SH\(1\)).35 E -.25(va)184 84 S
-.661(lue is being in).25 F -.15(ve)-.4 G .661(rted with).15 F/F1 10
-/Times-Bold@0 SF(!)3.161 E F0 5.661(.I)C 3.161(fac)-5.661 G .66
-(ompound command other than a subshell returns a)-3.161 F 1.112
+.66(lue is being in).25 F -.15(ve)-.4 G .66(rted with).15 F/F1 10
+/Times-Bold@0 SF(!)3.16 E F0 5.661(.I)C 3.161(fac)-5.661 G .661
+(ompound command other than a subshell returns a)-3.161 F 1.113
 (non-zero status because a command f)184 96 R 1.112(ailed while)-.1 F F1
-<ad65>3.612 E F0 -.1(wa)3.612 G 3.612(sb).1 G 1.113
-(eing ignored, the shell does)-3.612 F .178(not e)184 108 R 2.678
-(xit. A)-.15 F .178(trap on)2.678 F F1(ERR)2.678 E F0 2.678(,i)C 2.678
-(fs)-2.678 G .178(et, is e)-2.678 F -.15(xe)-.15 G .178
-(cuted before the shell e).15 F 2.677(xits. This)-.15 F .177
-(option applies to)2.677 F .617(the shell en)184 120 R .617
+<ad65>3.612 E F0 -.1(wa)3.612 G 3.612(sb).1 G 1.112
+(eing ignored, the shell does)-3.612 F .177(not e)184 108 R 2.677
+(xit. A)-.15 F .177(trap on)2.677 F F1(ERR)2.677 E F0 2.677(,i)C 2.678
+(fs)-2.677 G .178(et, is e)-2.678 F -.15(xe)-.15 G .178
+(cuted before the shell e).15 F 2.678(xits. This)-.15 F .178
+(option applies to)2.678 F .618(the shell en)184 120 R .617
 (vironment and each subshell en)-.4 F .617(vironment separately \(see)
--.4 F/F2 9/Times-Bold@0 SF .618(COMMAND EXE-)3.118 F .643(CUTION ENVIR)
+-.4 F/F2 9/Times-Bold@0 SF .617(COMMAND EXE-)3.117 F .642(CUTION ENVIR)
 184 132 R(ONMENT)-.27 E F0(abo)2.893 E -.15(ve)-.15 G .643
 (\), and may cause subshells to e).15 F .643(xit before e)-.15 F -.15
-(xe)-.15 G .642(cuting all).15 F(the commands in the subshell.)184 144 Q
+(xe)-.15 G .643(cuting all).15 F(the commands in the subshell.)184 144 Q
 2.042(If a compound command or shell function e)184 162 R -.15(xe)-.15 G
 2.042(cutes in a conte).15 F 2.042(xt where)-.15 F F1<ad65>4.542 E F0
-2.043(is being)4.543 F 1.436(ignored, none of the commands e)184 174 R
--.15(xe)-.15 G 1.435(cuted within the compound command or function).15 F
-.193(body will be af)184 186 R .193(fected by the)-.25 F F1<ad65>2.693 E
+2.042(is being)4.542 F 1.435(ignored, none of the commands e)184 174 R
+-.15(xe)-.15 G 1.436(cuted within the compound command or function).15 F
+.194(body will be af)184 186 R .194(fected by the)-.25 F F1<ad65>2.694 E
 F0 .193(setting, e)2.693 F -.15(ve)-.25 G 2.693(ni).15 G(f)-2.693 E F1
-<ad65>2.693 E F0 .194(is set and a command returns a f)2.693 F(ailure)
+<ad65>2.693 E F0 .193(is set and a command returns a f)2.693 F(ailure)
 -.1 E 3.39(status. If)184 198 R 3.39(ac)3.39 G .89
 (ompound command or shell function sets)-3.39 F F1<ad65>3.39 E F0 .89
 (while e)3.39 F -.15(xe)-.15 G .89(cuting in a conte).15 F(xt)-.15 E
-(where)184 210 Q F1<ad65>3.153 E F0 .653
-(is ignored, that setting will not ha)3.153 F .954 -.15(ve a)-.2 H .954
--.15(ny e).15 H -.25(ff).15 G .654(ect until the compound command).25 F
+(where)184 210 Q F1<ad65>3.154 E F0 .654
+(is ignored, that setting will not ha)3.154 F .953 -.15(ve a)-.2 H .953
+-.15(ny e).15 H -.25(ff).15 G .653(ect until the compound command).25 F
 (or the command containing the function call completes.)184 222 Q F1
 <ad66>144 234 Q F0(Disable pathname e)184 234 Q(xpansion.)-.15 E F1
-<ad68>144 246 Q F0 2.239(Remember the location of commands as the)184
-246 R 4.738(ya)-.15 G 2.238(re look)-4.738 F 2.238(ed up for e)-.1 F
--.15(xe)-.15 G 4.738(cution. This).15 F(is)4.738 E(enabled by def)184
-258 Q(ault.)-.1 E F1<ad6b>144 270 Q F0 .513(All ar)184 270 R .514
+<ad68>144 246 Q F0 2.238(Remember the location of commands as the)184
+246 R 4.738(ya)-.15 G 2.239(re look)-4.738 F 2.239(ed up for e)-.1 F
+-.15(xe)-.15 G 4.739(cution. This).15 F(is)4.739 E(enabled by def)184
+258 Q(ault.)-.1 E F1<ad6b>144 270 Q F0 .514(All ar)184 270 R .514
 (guments in the form of assignment statements are placed in the en)-.18
-F .514(vironment for a)-.4 F
+F .513(vironment for a)-.4 F
 (command, not just those that precede the command name.)184 282 Q F1
-<ad6d>144 294 Q F0 .149(Monitor mode.)184 294 R .149
-(Job control is enabled.)5.149 F .148(This option is on by def)5.149 F
-.148(ault for interacti)-.1 F .448 -.15(ve s)-.25 H(hells).15 E .65
+<ad6d>144 294 Q F0 .148(Monitor mode.)184 294 R .148
+(Job control is enabled.)5.148 F .149(This option is on by def)5.148 F
+.149(ault for interacti)-.1 F .449 -.15(ve s)-.25 H(hells).15 E .651
 (on systems that support it \(see)184 306 R F2 .651(JOB CONTR)3.151 F
-(OL)-.27 E F0(abo)2.901 E -.15(ve)-.15 G 3.151(\). All).15 F .651
-(processes run in a separate)3.151 F .679(process group.)184 318 R .678
+(OL)-.27 E F0(abo)2.901 E -.15(ve)-.15 G 3.151(\). All).15 F .65
+(processes run in a separate)3.151 F .678(process group.)184 318 R .679
 (When a background job completes, the shell prints a line containing it\
-s)5.679 F -.15(ex)184 330 S(it status.).15 E F1<ad6e>144 342 Q F0 .652
-(Read commands b)184 342 R .652(ut do not e)-.2 F -.15(xe)-.15 G .652
-(cute them.).15 F .653(This may be used to check a shell script for)
-5.652 F(syntax errors.)184 354 Q(This is ignored by interacti)5 E .3
+s)5.678 F -.15(ex)184 330 S(it status.).15 E F1<ad6e>144 342 Q F0 .653
+(Read commands b)184 342 R .653(ut do not e)-.2 F -.15(xe)-.15 G .653
+(cute them.).15 F .652(This may be used to check a shell script for)
+5.653 F(syntax errors.)184 354 Q(This is ignored by interacti)5 E .3
 -.15(ve s)-.25 H(hells.).15 E F1<ad6f>144 366 Q/F3 10/Times-Italic@0 SF
 (option\255name)2.5 E F0(The)184 378 Q F3(option\255name)2.5 E F0
 (can be one of the follo)2.5 E(wing:)-.25 E F1(allexport)184 390 Q F0
@@ -8403,14 +8408,14 @@ F0 2.5(option. This)224 462 R(also af)2.5 E(fects the editing interf)
 (functrace)184 498 Q F0(Same as)224 510 Q F1<ad54>2.5 E F0(.)A F1
 (hashall)184 522 Q F0(Same as)224 522 Q F1<ad68>2.5 E F0(.)A F1
 (histexpand)184 534 Q F0(Same as)224 546 Q F1<ad48>2.5 E F0(.)A F1
-(history)184 558 Q F0 .587(Enable command history)224 558 R 3.087(,a)
+(history)184 558 Q F0 .586(Enable command history)224 558 R 3.087(,a)
 -.65 G 3.087(sd)-3.087 G .587(escribed abo)-3.087 F .887 -.15(ve u)-.15
 H(nder).15 E F2(HIST)3.087 E(OR)-.162 E(Y)-.315 E/F4 9/Times-Roman@0 SF
 (.)A F0 .587(This option is)5.087 F(on by def)224 570 Q
 (ault in interacti)-.1 E .3 -.15(ve s)-.25 H(hells.).15 E F1(ignor)184
-582 Q(eeof)-.18 E F0 1.656(The ef)224 594 R 1.656
+582 Q(eeof)-.18 E F0 1.657(The ef)224 594 R 1.657
 (fect is as if the shell command)-.25 F/F5 10/Courier@0 SF(IGNOREEOF=10)
-4.157 E F0 1.657(had been e)4.157 F -.15(xe)-.15 G(cuted).15 E(\(see)224
+4.156 E F0 1.656(had been e)4.156 F -.15(xe)-.15 G(cuted).15 E(\(see)224
 606 Q F1(Shell V)2.5 E(ariables)-.92 E F0(abo)2.5 E -.15(ve)-.15 G(\).)
 .15 E F1 -.1(ke)184 618 S(yw).1 E(ord)-.1 E F0(Same as)224 630 Q F1
 <ad6b>2.5 E F0(.)A F1(monitor)184 642 Q F0(Same as)224 642 Q F1<ad6d>2.5
@@ -8419,7 +8424,7 @@ E F0(.)A F1(noexec)184 678 Q F0(Same as)224 678 Q F1<ad6e>2.5 E F0(.)A
 F1(noglob)184 690 Q F0(Same as)224 690 Q F1<ad66>2.5 E F0(.)A F1(nolog)
 184 702 Q F0(Currently ignored.)224 702 Q F1(notify)184 714 Q F0
 (Same as)224 714 Q F1<ad62>2.5 E F0(.)A(GNU Bash 4.4)72 768 Q
-(2017 June 23)148.175 E(69)197.335 E 0 Cg EP
+(2017 October 7)143.735 E(69)192.895 E 0 Cg EP
 %%Page: 70 70
 %%BeginPageSetup
 BP
@@ -8429,60 +8434,60 @@ BP
 SF(nounset)184 84 Q F0(Same as)224 84 Q F1<ad75>2.5 E F0(.)A F1(onecmd)
 184 96 Q F0(Same as)224 96 Q F1<ad74>2.5 E F0(.)A F1(ph)184 108 Q
 (ysical)-.15 E F0(Same as)224 108 Q F1<ad50>2.5 E F0(.)A F1(pipefail)184
-120 Q F0 1.03(If set, the return v)224 120 R 1.029
-(alue of a pipeline is the v)-.25 F 1.029
-(alue of the last \(rightmost\) com-)-.25 F 1.136(mand to e)224 132 R
+120 Q F0 1.029(If set, the return v)224 120 R 1.029
+(alue of a pipeline is the v)-.25 F 1.03
+(alue of the last \(rightmost\) com-)-.25 F 1.137(mand to e)224 132 R
 1.136
 (xit with a non-zero status, or zero if all commands in the pipeline)
 -.15 F -.15(ex)224 144 S(it successfully).15 E 5(.T)-.65 G
 (his option is disabled by def)-5 E(ault.)-.1 E F1(posix)184 156 Q F0
-2.091(Change the beha)224 156 R 2.091(vior of)-.2 F F1(bash)4.591 E F0
+2.09(Change the beha)224 156 R 2.091(vior of)-.2 F F1(bash)4.591 E F0
 2.091(where the def)4.591 F 2.091(ault operation dif)-.1 F 2.091
 (fers from the)-.25 F 1.212(POSIX standard to match the standard \()224
 168 R/F2 10/Times-Italic@0 SF 1.212(posix mode)B F0 3.712(\). See)B/F3 9
-/Times-Bold@0 SF 1.212(SEE ALSO)3.712 F F0(belo)3.463 E(w)-.25 E 2.307
-(for a reference to a document that details ho)224 180 R 4.806(wp)-.25 G
-2.306(osix mode af)-4.806 F 2.306(fects bash')-.25 F(s)-.55 E(beha)224
+/Times-Bold@0 SF 1.212(SEE ALSO)3.712 F F0(belo)3.462 E(w)-.25 E 2.306
+(for a reference to a document that details ho)224 180 R 4.807(wp)-.25 G
+2.307(osix mode af)-4.807 F 2.307(fects bash')-.25 F(s)-.55 E(beha)224
 192 Q(vior)-.2 E(.)-.55 E F1(pri)184 204 Q(vileged)-.1 E F0(Same as)224
 216 Q F1<ad70>2.5 E F0(.)A F1 -.1(ve)184 228 S(rbose).1 E F0(Same as)224
-228 Q F1<ad76>2.5 E F0(.)A F1(vi)184 240 Q F0 1.465
-(Use a vi-style command line editing interf)224 240 R 3.966(ace. This)
--.1 F 1.466(also af)3.966 F 1.466(fects the editing)-.25 F(interf)224
+228 Q F1<ad76>2.5 E F0(.)A F1(vi)184 240 Q F0 1.466
+(Use a vi-style command line editing interf)224 240 R 3.965(ace. This)
+-.1 F 1.465(also af)3.965 F 1.465(fects the editing)-.25 F(interf)224
 252 Q(ace used for)-.1 E F1 -.18(re)2.5 G(ad \255e).18 E F0(.)A F1
 (xtrace)184 264 Q F0(Same as)224 264 Q F1<ad78>2.5 E F0(.)A(If)184 282 Q
-F1<ad6f>3.053 E F0 .553(is supplied with no)3.053 F F2(option\255name)
-3.053 E F0 3.053(,t)C .553(he v)-3.053 F .552
-(alues of the current options are printed.)-.25 F(If)5.552 E F1(+o)184
-294 Q F0 1.071(is supplied with no)3.571 F F2(option\255name)3.571 E F0
-3.571(,as)C 1.071(eries of)-3.571 F F1(set)3.572 E F0 1.072
-(commands to recreate the current)3.572 F
+F1<ad6f>3.052 E F0 .552(is supplied with no)3.052 F F2(option\255name)
+3.053 E F0 3.053(,t)C .553(he v)-3.053 F .553
+(alues of the current options are printed.)-.25 F(If)5.553 E F1(+o)184
+294 Q F0 1.072(is supplied with no)3.572 F F2(option\255name)3.572 E F0
+3.572(,a)C 1.071(series of)-.001 F F1(set)3.571 E F0 1.071
+(commands to recreate the current)3.571 F
 (option settings is displayed on the standard output.)184 306 Q F1<ad70>
-144 318 Q F0 -.45(Tu)184 318 S 1.072(rn on).45 F F2(privile)4.822 E -.1
-(ge)-.4 G(d).1 E F0 3.572(mode. In)4.342 F 1.072(this mode, the)3.572 F
-F3($ENV)3.572 E F0(and)3.322 E F3($B)3.572 E(ASH_ENV)-.27 E F0 1.071
-(\214les are not pro-)3.322 F 1.5
-(cessed, shell functions are not inherited from the en)184 330 R 1.501
-(vironment, and the)-.4 F F3(SHELLOPTS)4.001 E/F4 9/Times-Roman@0 SF(,)A
-F3 -.27(BA)184 342 S(SHOPTS).27 E F4(,)A F3(CDP)2.775 E -.855(AT)-.666 G
-(H).855 E F4(,)A F0(and)2.775 E F3(GLOBIGNORE)3.025 E F0 -.25(va)2.775 G
-.524(riables, if the).25 F 3.024(ya)-.15 G .524(ppear in the en)-3.024 F
-(vironment,)-.4 E .379(are ignored.)184 354 R .379
-(If the shell is started with the ef)5.379 F(fecti)-.25 E .679 -.15
-(ve u)-.25 H .38(ser \(group\) id not equal to the real).15 F .462
+144 318 Q F0 -.45(Tu)184 318 S 1.071(rn on).45 F F2(privile)4.821 E -.1
+(ge)-.4 G(d).1 E F0 3.572(mode. In)4.341 F 1.072(this mode, the)3.572 F
+F3($ENV)3.572 E F0(and)3.322 E F3($B)3.572 E(ASH_ENV)-.27 E F0 1.072
+(\214les are not pro-)3.322 F 1.501
+(cessed, shell functions are not inherited from the en)184 330 R 1.5
+(vironment, and the)-.4 F F3(SHELLOPTS)4 E/F4 9/Times-Roman@0 SF(,)A F3
+-.27(BA)184 342 S(SHOPTS).27 E F4(,)A F3(CDP)2.774 E -.855(AT)-.666 G(H)
+.855 E F4(,)A F0(and)2.774 E F3(GLOBIGNORE)3.024 E F0 -.25(va)2.774 G
+.524(riables, if the).25 F 3.025(ya)-.15 G .525(ppear in the en)-3.025 F
+(vironment,)-.4 E .38(are ignored.)184 354 R .38
+(If the shell is started with the ef)5.38 F(fecti)-.25 E .679 -.15(ve u)
+-.25 H .379(ser \(group\) id not equal to the real).15 F .461
 (user \(group\) id, and the)184 366 R F1<ad70>2.961 E F0 .461
-(option is not supplied, these actions are tak)2.961 F .461
-(en and the ef)-.1 F(fec-)-.25 E(ti)184 378 Q .694 -.15(ve u)-.25 H .394
+(option is not supplied, these actions are tak)2.961 F .462
+(en and the ef)-.1 F(fec-)-.25 E(ti)184 378 Q .695 -.15(ve u)-.25 H .395
 (ser id is set to the real user id.).15 F .395(If the)5.395 F F1<ad70>
-2.895 E F0 .395(option is supplied at startup, the ef)2.895 F(fecti)-.25
-E -.15(ve)-.25 G .387(user id is not reset.)184 390 R -.45(Tu)5.387 G
-.387(rning this option of).45 F 2.886(fc)-.25 G .386(auses the ef)-2.886
-F(fecti)-.25 E .686 -.15(ve u)-.25 H .386(ser and group ids to be).15 F
+2.895 E F0 .394(option is supplied at startup, the ef)2.895 F(fecti)-.25
+E -.15(ve)-.25 G .386(user id is not reset.)184 390 R -.45(Tu)5.386 G
+.386(rning this option of).45 F 2.886(fc)-.25 G .387(auses the ef)-2.886
+F(fecti)-.25 E .687 -.15(ve u)-.25 H .387(ser and group ids to be).15 F
 (set to the real user and group ids.)184 402 Q F1<ad74>144 414 Q F0
 (Exit after reading and e)184 414 Q -.15(xe)-.15 G(cuting one command.)
-.15 E F1<ad75>144 426 Q F0 -.35(Tr)184 426 S .043(eat unset v).35 F .044
+.15 E F1<ad75>144 426 Q F0 -.35(Tr)184 426 S .044(eat unset v).35 F .044
 (ariables and parameters other than the special parameters "@" and "*" \
-as an)-.25 F .183(error when performing parameter e)184 438 R 2.683
-(xpansion. If)-.15 F -.15(ex)2.683 G .182
+as an)-.25 F .182(error when performing parameter e)184 438 R 2.682
+(xpansion. If)-.15 F -.15(ex)2.682 G .183
 (pansion is attempted on an unset v).15 F(ari-)-.25 E .746
 (able or parameter)184 450 R 3.246(,t)-.4 G .746
 (he shell prints an error message, and, if not interacti)-3.246 F -.15
@@ -8491,37 +8496,37 @@ as an)-.25 F .183(error when performing parameter e)184 438 R 2.683
 (ya)-.15 G(re read.)-2.5 E F1<ad78>144 486 Q F0 .315(After e)184 486 R
 .315(xpanding each)-.15 F F2 .315(simple command)2.815 F F0(,)A F1 -.25
 (fo)2.815 G(r).25 E F0(command,)2.815 E F1(case)2.815 E F0(command,)
-2.815 E F1(select)2.815 E F0(command,)2.815 E 1.235(or arithmetic)184
+2.815 E F1(select)2.815 E F0(command,)2.815 E 1.236(or arithmetic)184
 498 R F1 -.25(fo)3.736 G(r).25 E F0 1.236(command, display the e)3.736 F
 1.236(xpanded v)-.15 F 1.236(alue of)-.25 F F3(PS4)3.736 E F4(,)A F0
 (follo)3.486 E 1.236(wed by the com-)-.25 F(mand and its e)184 510 Q
 (xpanded ar)-.15 E(guments or associated w)-.18 E(ord list.)-.1 E F1
-<ad42>144 522 Q F0 2.579(The shell performs brace e)184 522 R 2.578
+<ad42>144 522 Q F0 2.578(The shell performs brace e)184 522 R 2.578
 (xpansion \(see)-.15 F F1 2.578(Brace Expansion)5.078 F F0(abo)5.078 E
--.15(ve)-.15 G 5.078(\). This).15 F 2.578(is on by)5.078 F(def)184 534 Q
-(ault.)-.1 E F1<ad43>144 546 Q F0 .213(If set,)184 546 R F1(bash)2.713 E
-F0 .213(does not o)2.713 F -.15(ve)-.15 G .214(rwrite an e).15 F .214
+-.15(ve)-.15 G 5.079(\). This).15 F 2.579(is on by)5.079 F(def)184 534 Q
+(ault.)-.1 E F1<ad43>144 546 Q F0 .214(If set,)184 546 R F1(bash)2.714 E
+F0 .214(does not o)2.714 F -.15(ve)-.15 G .214(rwrite an e).15 F .214
 (xisting \214le with the)-.15 F F1(>)2.714 E F0(,)A F1(>&)2.714 E F0
-2.714(,a)C(nd)-2.714 E F1(<>)2.714 E F0 .214(redirection opera-)2.714 F
-3.054(tors. This)184 558 R .553(may be o)3.053 F -.15(ve)-.15 G .553
+2.713(,a)C(nd)-2.713 E F1(<>)2.713 E F0 .213(redirection opera-)2.713 F
+3.053(tors. This)184 558 R .553(may be o)3.053 F -.15(ve)-.15 G .553
 (rridden when creating output \214les by using the redirection opera-)
 .15 F(tor)184 570 Q F1(>|)2.5 E F0(instead of)2.5 E F1(>)2.5 E F0(.)A F1
-<ad45>144 582 Q F0 .103(If set, an)184 582 R 2.603(yt)-.15 G .103
-(rap on)-2.603 F F1(ERR)2.603 E F0 .104
-(is inherited by shell functions, command substitutions, and com-)2.603
-F .839(mands e)184 594 R -.15(xe)-.15 G .839(cuted in a subshell en).15
-F 3.339(vironment. The)-.4 F F1(ERR)3.338 E F0 .838
-(trap is normally not inherited in)3.338 F(such cases.)184 606 Q F1
-<ad48>144 618 Q F0(Enable)184 618 Q F1(!)3.031 E F0 .531
-(style history substitution.)5.531 F .531(This option is on by def)5.531
-F .532(ault when the shell is inter)-.1 F(-)-.2 E(acti)184 630 Q -.15
-(ve)-.25 G(.).15 E F1<ad50>144 642 Q F0 .96
+<ad45>144 582 Q F0 .104(If set, an)184 582 R 2.604(yt)-.15 G .104
+(rap on)-2.604 F F1(ERR)2.604 E F0 .103
+(is inherited by shell functions, command substitutions, and com-)2.604
+F .838(mands e)184 594 R -.15(xe)-.15 G .838(cuted in a subshell en).15
+F 3.338(vironment. The)-.4 F F1(ERR)3.338 E F0 .839
+(trap is normally not inherited in)3.339 F(such cases.)184 606 Q F1
+<ad48>144 618 Q F0(Enable)184 618 Q F1(!)3.032 E F0 .532
+(style history substitution.)5.532 F .531(This option is on by def)5.532
+F .531(ault when the shell is inter)-.1 F(-)-.2 E(acti)184 630 Q -.15
+(ve)-.25 G(.).15 E F1<ad50>144 642 Q F0 .959
 (If set, the shell does not resolv)184 642 R 3.459(es)-.15 G .959
-(ymbolic links when e)-3.459 F -.15(xe)-.15 G .959
-(cuting commands such as).15 F F1(cd)3.459 E F0 2.821
+(ymbolic links when e)-3.459 F -.15(xe)-.15 G .96
+(cuting commands such as).15 F F1(cd)3.46 E F0 2.822
 (that change the current w)184 654 R 2.822(orking directory)-.1 F 7.822
-(.I)-.65 G 5.322(tu)-7.822 G 2.822(ses the ph)-5.322 F 2.822
-(ysical directory structure)-.05 F 2.686(instead. By)184 666 R(def)2.686
+(.I)-.65 G 5.322(tu)-7.822 G 2.822(ses the ph)-5.322 F 2.821
+(ysical directory structure)-.05 F 2.685(instead. By)184 666 R(def)2.685
 E(ault,)-.1 E F1(bash)2.686 E F0(follo)2.686 E .186
 (ws the logical chain of directories when performing com-)-.25 F
 (mands which change the current directory)184 678 Q(.)-.65 E F1<ad54>144
